# Uses of Enum Class
com.ocient.jdbc.proto.ClientWireProtocol.FetchSystemMetadata.SystemMetadataCall

Packages that use ClientWireProtocol.FetchSystemMetadata.SystemMetadataCall
Package
Description
com.ocient.jdbc
com.ocient.jdbc.proto

## Uses of ClientWireProtocol.FetchSystemMetadata.SystemMetadataCall in com.ocient.jdbc

Methods in com.ocient.jdbc with parameters of type ClientWireProtocol.FetchSystemMetadata.SystemMetadataCall
Modifier and Type
Method
Description
`CompletionStage<CompletableFutures.SQLResult<Integer>>`
XGStatement.`fetchSystemMetadataInt(ClientWireProtocol.FetchSystemMetadata.SystemMetadataCall call)`
`CompletionStage<CompletableFutures.SQLResult<ResultSet>>`
XGStatement.`fetchSystemMetadataResultSet(ClientWireProtocol.FetchSystemMetadata.SystemMetadataCall call, String schema, String table, String col, boolean test, XGResultSet.Option... options)`
`CompletionStage<CompletableFutures.SQLResult<String>>`
XGStatement.`fetchSystemMetadataString(ClientWireProtocol.FetchSystemMetadata.SystemMetadataCall call)`

## Uses of ClientWireProtocol.FetchSystemMetadata.SystemMetadataCall in com.ocient.jdbc.proto

Methods in com.ocient.jdbc.proto that return ClientWireProtocol.FetchSystemMetadata.SystemMetadataCall
Modifier and Type
Method
Description
`static ClientWireProtocol.FetchSystemMetadata.SystemMetadataCall`
ClientWireProtocol.FetchSystemMetadata.SystemMetadataCall.`forNumber(int value)`
`ClientWireProtocol.FetchSystemMetadata.SystemMetadataCall`
ClientWireProtocol.FetchSystemMetadata.Builder.`getCall()`
`.xg.cmdcomp.FetchSystemMetadata.SystemMetadataCall call = 1;`
`ClientWireProtocol.FetchSystemMetadata.SystemMetadataCall`
ClientWireProtocol.FetchSystemMetadata.`getCall()`
`.xg.cmdcomp.FetchSystemMetadata.SystemMetadataCall call = 1;`
`ClientWireProtocol.FetchSystemMetadata.SystemMetadataCall`
ClientWireProtocol.FetchSystemMetadataOrBuilder.`getCall()`
`.xg.cmdcomp.FetchSystemMetadata.SystemMetadataCall call = 1;`
`static ClientWireProtocol.FetchSystemMetadata.SystemMetadataCall`
ClientWireProtocol.FetchSystemMetadata.SystemMetadataCall.`valueOf(int value)`
Deprecated.
`static ClientWireProtocol.FetchSystemMetadata.SystemMetadataCall`
ClientWireProtocol.FetchSystemMetadata.SystemMetadataCall.`valueOf(com.google.protobuf.Descriptors.EnumValueDescriptor desc)`
Returns the enum constant of this class with the specified name.
`static ClientWireProtocol.FetchSystemMetadata.SystemMetadataCall`
ClientWireProtocol.FetchSystemMetadata.SystemMetadataCall.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ClientWireProtocol.FetchSystemMetadata.SystemMetadataCall[]`
ClientWireProtocol.FetchSystemMetadata.SystemMetadataCall.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in com.ocient.jdbc.proto that return types with arguments of type ClientWireProtocol.FetchSystemMetadata.SystemMetadataCall
Modifier and Type
Method
Description
`static com.google.protobuf.Internal.EnumLiteMap<ClientWireProtocol.FetchSystemMetadata.SystemMetadataCall>`
ClientWireProtocol.FetchSystemMetadata.SystemMetadataCall.`internalGetValueMap()`
Methods in com.ocient.jdbc.proto with parameters of type ClientWireProtocol.FetchSystemMetadata.SystemMetadataCall
Modifier and Type
Method
Description
`ClientWireProtocol.FetchSystemMetadata.Builder`
ClientWireProtocol.FetchSystemMetadata.Builder.`setCall(ClientWireProtocol.FetchSystemMetadata.SystemMetadataCall value)`
`.xg.cmdcomp.FetchSystemMetadata.SystemMetadataCall call = 1;`